V5.4.0
	在厂商参数中，增加了主轴参数，支持主轴最高转速、启动(停止)延时
	完善了对主轴转速控制的支持：主轴转速存储、转速提示
	在驱动程序(pcimc3a)中，增加了手轮支持
	在厂商参数画面中，增加了手轮参数
	把固定对刀块位置参数化
	在工具条上添加“仿真”按钮
	在工具条上，增加了“直接定位”功能
	关闭在转台方式下Y轴限位报警
	修正了条件指令，使对刀、回机械原点等功能更准确
V5.4.1
	把“程序管理”目录、文件扩展名，设置为可定制的
	改善了文件装入和卸载(包括编辑, 存储)的性能，增加了进度提示
V5.4.2
	同时支持固定对刀、浮动对刀
	丰富了快捷键
V5.4.3
	Ncinterp 增加了对三维PLT文件的支持，能够自动识别二维和三维
	添加了PLT中圆弧指令的支持AA, AR
	添加了PLT中封闭曲线指令指令的支持CI, EA, ER, EW(Circle, Rectangle, Wedge)
V5.4.4
	修改了加工程序信息窗口判断超出限位的条件
	只有在回过机械原点，仿真超出限位窗口才可能出现
V5.4.5
	修正了文件管理窗口中，路径名称不能以"\"结尾的错误
	添加了G906指令，用于同步参数和当前位置
V5.4.6
	改进软限位算法，该算法避免紧停式的突然停止，而是通过内部调整倍率实现缓慢停止
	把“执行加工指令”对话框中的“刀具半径”改为“刀具直径”
V5.4.7
	添加了#SSCURWORKCOOR0, #SSCURWORKCOOR1, #SSCURWORKCOOR2变量，用于访问当前点的工件坐标
	校正刀杆长度功能的第一次对刀和第二次对刀采用最新的指令取代了旧的两步式指令，更简洁
	在文件管理窗口中文件大小右对齐，并且每千位用逗号分隔
	手动步进窗口中小键盘上快捷键功能不再受数字锁的影响
V5.4.10
	更正了TraceView偶尔不能及时刷新的错误
	改进了MaskEdit的编辑性能
	把复位的快捷键设为F12
V5.4.11
	更正了暂停继续时主轴启动没有延时的错误
	修正了高级开始的一个错误
V5.4.12
	修正了G906同步后有些指令不能正确执行的问题
V5.4.13
	增加了软限位自动减速的特性
	软限位时候不再有余差，而是精确地停在边界上
V5.4.14
	错误提示颜色从"红背景、缺省(黑)文本色" 改为"红背景、黄文本色"
	在驱动程序中增加 _UNIONCONDITION_IMMSTOP 选项
V5.4.15
	修正了暂停时候，有明显的速度大跳动问题
V5.4.16
	增加了PLT文件加工的断点继续和高级开始功能
	文件位置更新时只考虑当前加工文件
	在系统参数之厂商参数之电机参数中，增加了Ｚ轴最大速度参数的设定
	"单步"增加减速功能
	在NCBoard中改进了暂停时抬刀（落刀）、以及微调的算法
V5.4.17
	改进了软限位算法，以前的版本加减速不正确
V5.4.18
	错误修正: 在"直接定位"编辑框中，掩码长度改成了每个轴10位，而提取数字时仍然用8位，当位数长时出错
	修正了暂停后继续没有延时的错误
V5.4.19
	安装程序结束后选择立即关机在2000和XP下不能完成关机操作
	增加了G992指令，该指令用于实现阵列功能
	更正了CNcKernel::LoadAxisErrorData函数的一个内存泄漏问题
	增加了G00指令恒定进给倍率选项
	增加了临时修改紧停位指令
	错误修正: 当前位置处于工作台行程以外时，使用回机械原点直接设定功能，JOG对应轴会导致死机
	增加了"直接运行窗口"的退出功能(Escape键)
	在步进状态下加入按钮动作
	对刀窗口在参数输入校验错误时不再执行
	改进了限位释放窗口显示内容，并且自动切换到JOG方式
V5.4.20
	临时修改紧停位指令进行了修正：在系统进入空闲、锁定、紧停状态时失效
V5.4.21
	在焦点窗口不是edit等时，小键盘按钮映射成为手动按键
	键盘Pause/Break为暂停快捷键
	ScrollLock为激活手动窗口键
	F4快捷键作为TraceView快捷键
	进一步修正了手动键盘算法
	在public.dat中增加了主轴起停提示信息
	增加了小键盘上的+-算法：使用键盘加数字可以增减深度
	PLT格式解析中增加了抬笔O301、落笔附加代码O302。注意：该子程序中不能使用上下文相关指令!!!
V5.4.22
	对控制卡脉冲溢出错误进行了更为严格的检查，并且改进了算法以避免其发生
	当某种原因导致控制卡停止发送中断，驱动程序试图恢复
	修改了现有的参数完整性检查机制，执行更加严格的系统参数检查
	直接定位指令增加了@指令，该指令在直接定位后，恢复当前点工件坐标为运动前的坐标。
	小键盘"+ -"按键已经改为使用@指令
	改进了文件窗口的滚动显示
	修改了短线段插补功能
V5.4.23
	错误修正: 全部轴回机械原点时（主要是X、Y轴联合回参考点时），如果Y轴未到而X轴先到，则X轴不停
V5.4.24
	提高了Win2000, WinXP下的兼容性，通过了兼容性测试
	修正了解析PLT文件时遇到AA指令时无法正确使用高级开始和断点继续功能的错误
	用户手册中添加了升级记录，记录了从V5.4.7以来的主要升级
	用户手册增加了快捷键一览表附录
V5.4.25
	修正了加工程序中有圆弧指令时不能使用镜像功能的错误
V5.4.26
V5.4.27
V5.4.28
	改进了回机械原点的过程，排除了有时可能会出现限位和不准的情况
V5.4.29
	把主轴倍率可调范围从0 - 100% 扩展到 0 - 150%
V5.4.30
	增加跟踪显示窗口快捷键'<', '>', 用于缩放功能
V5.4.31
	增加了小键盘上小数点/Del键用于调整点动/步进步长
V5.4.32
	增加工件坐标保存/恢复功能
	更正了注册功能的一个错误
V5.4.33
	支持增强型板卡，并兼容非增强型板卡
	增强型增加精雕格式文件支持
	定期恢复缓冲区使能，即使在异常终止的情况下，也保证了控制系统可靠性。
V5.4.34
	更正了在被率为0的情况下，仍然可以手动的问题。
	改进了紧停释放内部实现方式。
	修正了驱动程序在某些板卡初始信息情况下无法启动Windows的情况(V5.4.33引入)。
	用户参数界面上增加了PLT参数：包括二维PLT深度和高度，PLT单位每毫米。
V5.4.35
	修正了在某些显示卡情况下放大缩小拖动会死机的情况。
	修正了编辑框中出现"-0"时要求输入一个数字的问题。
V5.4.36
	提高了解析程序的兼容性
		1、对括号注释提供了良好的支持
		2、对圆弧半径编程提供较强的容错性
		3、不支持的M指令不再报警，忽略
V5.4.37
	增加了“加工结束是否停主轴”的选项
	优化了表达式解析程序，表达式中间可以由空格分割
	增加了表达式中的逻辑与/或运算
	丰富了解析错误的提示信息
V5.4.38
	增加了解析程序所忽略无效信息的详细提示
V5.4.39
	解决了删除设备后不重启会蓝屏的问题
	用户参数区增加了镜像选项
V5.4.40
V5.4.41
	增加了将要到期前的提示
	修正了暂停后开始再马上暂停时一直显示“准备暂停”但是软件一直在运行的错误
V5.4.42
	解决了遇到不分行的长PLT文件时行为不正常的问题
V5.4.43
	修正了最近引入的软件重新启动后显示的当前行段号为1000的错误
V5.4.44
	文件编辑窗口增加了查找和替换功能，并丰富了其他功能和快捷键
	增加了对简易广告版的支持
V5.4.45
	广告机软件修正了开机后软件未启动时，主轴启动的错误
V5.4.46
	屏蔽掉了“复位功能”，防止用户犯错误（使用CTRL+F12仍然可以使用此功能）
	在使用固定对刀等功能时，停止功能增加减速措施
	修正了自V5.4.44引入的粘贴功能被替换成查找功能的错误
V5.4.47
	修正了英文版轨迹颜色无法修改的问题
	修正了英文版后台参数没有内容的问题
V5.4.48
V5.4.49
	修正了手持设备有时不能正确处理按键松开的错误
V5.4.50
	插补时在急转弯前增加了10ms的延时，期望有更好的加工轮廓性能
	增加手动分中自动计算功能，在设置工件坐标对话框中。
	改进了设置工件坐标对话框和工件坐标系偏置对话框。
V5.4.51
	增加了#-14参数(第50组Q参数)作为控制优化连接速度的最大转角限制。
	增加了#-15参数(第49组Q参数)作为急转弯延时时间，单位为毫秒。
	增加了#-16参数(第48组Q参数)作为轮廓线加工延时时间。
V5.4.52
	初步解决了Fanuc格式的固定循环支持(G73)，有待进一步测试和完善。
	解决了V5.4.50引入的浮雕速度慢的问题，原因是计算内角算法有错误。
V5.4.53
	增加了数控小键盘的支持
	增加了对G98、G99指令的支持，可以支持FANUC格式的转孔程序(G73)
V5.4.54
V5.4.55
V5.4.56
V5.4.57
	修正了对Jingdiao ENG加工文件 En3d 5.X 格式的支持，能够正确处理大部分这类文件
V5.4.58
V5.4.59
	增加了新的快捷键：
		回机械原点Ctrl+Home
		卸载文件Ctrl+U
	Ctrl+F12复位功能在回机械原点时同样有效
V5.4.60
	提供更方便的转台支持
V5.4.61
	提供了细节加工功能
V5.4.62
	改进了细节加工功能（使用Q52控制轮廓小线段连接速度）
V5.4.63
	改进了细节加工功能（参见“细节加工功能使用指南.doc”）
	增加了固定对刀快速下刀位的参数设置
	打开Eng文件时直接提示输入参数功能
V5.4.64
	增加了阵列加工功能
	增加了DXF文件加工功能
V5.4.65
	增加了精雕文件循环加工功能
	修正了自动插入G00-G01转换指令功能在高级开始时第一句不起作用的问题
V5.4.66
V5.4.67
	修正了V5.4.65以后引入的正常运行时会无缘无故变慢的问题
V5.4.68
	改正了当脉冲当量较大，起跳速度较小时停顿严重的问题
V5.4.69
	完善了固定循环的支持：针对用Cimaton产生的转孔程序
V5.4.70
	升级了对精雕Eng文件的支持：支持一些转孔文件
V5.4.71
	修正了驱动程序无法在WinXP 和 Win2000下正确安装的问题(V5.4.69引入)
V5.4.72
V5.4.73
	增加注册码生成器的身份验证功能，用户密码可修改
V5.4.74
	解决了突然断电，重新启动后不能载入最后一次的文件（及断点行号）的问题
	丰富了早期错误诊断代码。如果程序没有任何显示就退出，其错误可以从NcStudio.log文件读出
V5.4.75
	增加新的S型加减速算法
V5.4.76
	提供质量优先和速度优先加工选项
V5.4.77
	增加了对单段执行的良好支持，在速度为零的点可以停止
V5.4.78
	完善了质量优先和速度优先加工选项
	提供了两组参数用于支持质量优先和速度优先选项
	修正了突然断电后重新启动工件原点丢失的问题
V5.4.79
	解决了打孔固定循环中存在的一些问题
	调整了G81, G83, G73的动作，提高了加工效率和适用性
	解决了打孔程序行号计算错误的问题，可以断点继续和高级开始
	增加对G98(返回到起始点), G99(返回到R点)指令的支持
	解决了自V5.4.77引入的转直角拖泥带水的问题
V5.4.86
V5.4.88
   调整了Z向下刀速度的选择,使用加工速度和下刀速度中较小的一个
V5.4.89
	更正了仿真时有时图形不显示的问题。
	在解析引擎中增加了半径小于指定半径的小圆弧设置加工速度的功能
V5.4.90
 更正了当使用英制单位时以及G99时打孔程序不对的问题。
转换DXF文件为G代码，并允许用户进行编辑。
V5.4.91
修正了Z向下刀速度不正确的问题。
V5.4.92
更正了速度自适应优化参数不能保存的问题。
V5.4.94
阵列加工对话框中，禁止在在无文件状态下点击“生成加工文件”命
解决了在编辑窗口查找时无法直接定位到查找的内容的问题
